@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΑΛΛΑΖΕΙ ΤO MHKOΣ ή ΥΨΟΣ ΣΕ 1 Η ΠΕΡΙΣΣΟΤΕΡΑ ΒΙΝΤΕΟ ΠΟΥ ΤΟΥ ΒΑΖΕΤΕ ΩΣ ΟΡΙΣΜΑΤΑ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

echo.
set StartWIDTH=""
set /p StartWIDTH=Γράψε την ΟΡΙΖΟΝΤΙΑ ΑΝΑΛΥΣΗ που θες να γίνει το Βίντεο, π.χ. 640, αλλιώς Enter για να μην αλλάξει:

echo.
set StartHEIGHT=""
set /p StartHEIGHT=Γράψε την ΚΑΘΕΤΗ ΑΝΑΛΥΣΗ που θες να γίνει το Βίντεο, π.χ. 320, αλλιώς Enter για να μην αλλάξει:


:FF

set /a "NOTRUE=0"
if not [%StartWIDTH%] equ [""] set /a "NOTRUE+=1"
if not [%StartHEIGHT%] equ [""] set /a "NOTRUE+=1"

rem ECHO  %NOTRUE%


echo.
echo Μετατρέπω το "%~1" ..
echo.
if [%NOTRUE%] equ [2]  (
     call ffmpeg -v quiet -stats -loglevel error -i "%~1" -vf "scale=%StartWIDTH%:%StartHEIGHT%" -c:a copy "%~p1%~n1-%StartWIDTH%-%StartHEIGHT%.%~x1"
     if %ERRORLEVEL% NEQ 0 (
          call vidCodeError.bat %errorlevel%
          shift
     ) else (
          call vidCodeError.bat 0
          shift          
     )
) else if [%NOTRUE%] equ [0] (
     echo.
     echo Ακύρωσα όλες τις μετατροπές γιατί δεν μου έδωσες διαστάσεις ...
     echo.
     goto End
) else (
     if  [%StartWIDTH%] equ [""] ( 
          call ffmpeg -v quiet -stats -loglevel error -i "%~1" -vf "scale=-1:%StartHEIGHT%" -c:a copy "%~p1%~n1-%StartHEIGHT%-height.%~x1i"
          if %ERRORLEVEL% NEQ 0 (
               call vidCodeError.bat %errorlevel%
               shift
          ) else (
               call vidCodeError.bat 0
               shift          
          )
     ) else (
          call ffmpeg -v quiet -stats -loglevel error -i "%~1" -vf "scale=%StartWIDTH%:-1" -c:a copy "%~p1%~n1-%StartWIDTH%-width.%~x1"
          if %ERRORLEVEL% NEQ 0 (
               call vidCodeError.bat %errorlevel%
               shift
          ) else (
               call vidCodeError.bat 0
               shift          
          )

     )
)


if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0